commit:     e613ffd4ef972f3b1c0ea7a0f321edd96778dbca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  9 06:02:35 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar  9 07:18:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e613ffd4

dev-python/rq: Bump to 1.16.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rq/Manifest         |  1 +
 dev-python/rq/rq-1.16.1.ebuild | 57 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 54952fd9bd41..f994bca25d9a 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1,3 @@
 DIST rq-1.15.1.gh.tar.gz 633531 BLAKE2B 
e1cf463e54533a1a56fab98a66f4cfe2ef73da48ab965a10066b84050aa1ac72373328246236fbd45bdf3d026ffc355aa117a21047dce1cef16b18c6e96a0f3f
 SHA512 
75228f037c5c731f7788bb18654f2e07a9af39f8980900166e07145887f7cbed06fbd7fb5513a770cee791d07a49d85a544b83f347cce6726d7745f8396e3aac
 DIST rq-1.16.0.tar.gz 627998 BLAKE2B 
cff296147f92d234a29f3e1c0f762bcaf873aabebc3cea816e8a772586e41ca850bba600d1e6e974ebfe1da4286ee4b15a5326cb0fee1a082b7bc632005b3ef5
 SHA512 
8746bed4d9fccd2f74ceb3ba026268f3c7441f278348e2823e6dbaf95326ff396f76564f3622c94440fef4b0a49b5fadc5680b1abdb3cfaacfa1118aa85c8457
+DIST rq-1.16.1.tar.gz 628089 BLAKE2B 
74d57c34f338c8dfe14c921134253618253124fc34b69b78f0526a9c4d08b0d70ed50115658ee275f09b98ca48d7f5334032d81e0e9437184a0d3c4e782645fe
 SHA512 
618f7833724b4bca5509132878d1bb28a25f99299a774709e839ff2b6771e27731330318070f6eb6c4aaced8167aec4ba02a89bf40285a9b16cd04e1935f7428

diff --git a/dev-python/rq/rq-1.16.1.ebuild b/dev-python/rq/rq-1.16.1.ebuild
new file mode 100644
index 000000000000..ac48b2056812
--- /dev/null
+++ b/dev-python/rq/rq-1.16.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple, lightweight library for creating and processing 
background jobs"
+HOMEPAGE="
+       https://python-rq.org/
+       https://github.com/rq/rq/
+       https://pypi.org/project/rq/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/click-5.0[${PYTHON_USEDEP}]
+       >=dev-python/redis-4.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-db/redis
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/sentry-sdk[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       local redis_pid="${T}"/redis.pid
+       local redis_port=6379
+       local redis_test_config="daemonize yes
+               pidfile ${redis_pid}
+               port ${redis_port}
+               bind 127.0.0.1
+       "
+
+       # Spawn Redis itself for testing purposes
+       # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+       # I'm not restricting tests yet because this doesn't happen for anyone 
else AFAICT.
+       einfo "Spawning Redis"
+       einfo "NOTE: Port ${redis_port} must be free"
+       /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+       # Run the actual tests
+       distutils-r1_src_test
+
+       # Clean up afterwards
+       kill "$(<"${redis_pid}")" || die
+}

Reply via email to